F A Q

出自WPS For Linux

跳转到: 导航, 搜索

已知问题

  1. 为什么安装好wps后,点击图标没反应?
    • 一般有三种情况:
      • 第一,你是32位系统,但libstc++版本太低,如果从终端运行wps的话,会出现类似以下的错误提示:
        Cannot load library kso10: (/usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.14` not found... 
        这个现象一般出现在比较旧的发行版本中,比如Debian Squeeze,Ubuntu 10.04。
        解决方法有两种:
        • a. 升级系统。Ubuntu 10.04用户,
          sudo add-apt-repository ppa:ubuntu-toolchain-r/test #用于升级libstdc++库
          sudo add-apt-repository ppa:webupd8team/unstable #用于升级freetype库

          Debian Squeeze请参考64bit系统安装办法
        • b. 从网上下载一个较新的libstdc++.so并放入/opt/kingsoft/wps-office/office6中
      • 第二,你是64位系统。目前wps仅在32位系统上编译,64位的系统需要安装32位的运行库,解决办法请参考64bit系统安装办法
      • 第三,libpng版本太高。WPS编译依赖于libpng12,大部分发行版都已经升级到了libpng14或libpng15,而其中一些发行版升级后没有再带上旧版的libpng。终端运行的话,错误提示类似于:
        /opt/kingsoft/wps-office/office6/wps: error while loading shared libraries: libpng12.so.0: cannot open shared object file: No such file or directory
        可以从网上下一个libpng12.so放在/opt/kingsoft/wps-office/office6/目录下。
  2. 我使用ibus输入法,但不能光标跟随或不能输入中文。
    • 这是qt没配置好导致的,首先确保你的ibus是1.41以上的稳定版,然后安装一个qt-config,运行qtconfig,切换到Interface选项卡,在"XIM Input Style:"下拉菜单中选择"Over The Spot",在"Default Input Method:"下拉菜单中选择"XIM"。
  3. A7中带了et,但为什么我安装后看不到?(在A7p1中已修复)
    • 由于A7中et的desktop文件编辑不当,在KDE等一些桌面环境中会出现找不到et图标的问题,在另一些系统环境中则被归类到“其他”。
      解决方法如下:
      编辑/usr/share/applications/wps-office-et.desktop文件,在其中添加一行
      Categories=Office;Spreadsheets;Qt;
  4. 为什么中键粘贴不能用,为什么stardict不能在文档中取词?
    • 这都是因为a6及以前的wps for linux没有访问到XWindow的PRIMARY selection剪贴板,wps for Linux是从Windows®版迁移过来的,迁移时并没有考虑到这个问题。目前开发人员已经解决这个问题,并已在a7的wps文字中加入支持。
个人工具